#include "tolerance.hh"

#include <iomanip>



/**
 * Friendship relation of insertion operators
 */
ostream & operator<<(ostream & ostr, Tolerance const & tolerance)
{
  ostr << setw(13) << tolerance.value     << ' '
       << setw(4)  << tolerance.polIdx    << ' '
       << setw(3)  << tolerance.level     << ' '
       << setw(4)  << tolerance.vertexIdx << ' '
       << setw(1)  << tolerance.valid;

  return ostr;
}
