#include <e00/expsection.hh>
#include <e00/endl.hh>



/******************************************************************************
 * istr >> expSection
 ******************************************************************************
 *
 *****************************************************************************/
istream & operator>>(istream & istr, EXPSection & expSection)
{
  istr >> expSection.precision
       >> expSection.fileName;

  return istr.ignore(80, '\n');
}



/******************************************************************************
 * ostr << expSection
 ******************************************************************************
 *
 *****************************************************************************/
ostream & operator<<(ostream & ostr, EXPSection const & expSection)
{
  return ostr << expSection.name << "  "
	      << expSection.precision << ' '
	      << expSection.fileName
	      << string(73-expSection.fileName.size(), ' ') << endl;
}
