#include <e00/sinsection.hh>
#include <e00/endl.hh>



/******************************************************************************
 * istr >> sinSection
 ******************************************************************************
 *
 * ***************************************************************************/
istream & operator>>(istream & istr, SINSection & sinSection)
{
  /* Reading section header */
  istr >> sinSection.precision;

  /* Ignoring trailing '\n' and EOX */
  return istr.ignore(80, '\n').ignore(80, '\n');
}



/******************************************************************************
 * ostr << sinSection
 ******************************************************************************
 *
 * ***************************************************************************/
ostream & operator<<(ostream & ostr, SINSection const & sinSection)
{
  /* Writing name, precision and EOX */
  return ostr << sinSection.name << "  "
	      << sinSection.precision << endl
	      << "EOX" << endl;
}
