#include <mmf/mmfpoint.hh>

#include <iomanip>



/******************************************************************************
 * istr >> point
 ******************************************************************************
 * Reads the cartesian coordinates of 'point' from 'istr'.
 *****************************************************************************/
istream & operator>>(istream & istr, MMFPoint & point)
{
  return istr >> point.x >> point.y;
}



/******************************************************************************
 * ostr << point
 ******************************************************************************
 * Writes the cartesian coordinates of 'point' in 'ostr'.
 *****************************************************************************/
ostream & operator<<(ostream & ostr, MMFPoint const & point)
{
  return ostr << setw(ostr.precision()+7) << point.x
	      << setw(ostr.precision()+7) << point.y;
}
