#include <mtf/mtflayer.hh>

#include <iomanip>
#include <cstdlib>




/******************************************************************************
 * istr >> layer
 ******************************************************************************
 *
 *****************************************************************************/
istream & operator>>(istream & istr, MTFLayer & layer)
{
  /* Reading precision */
  char buffer[3];
  istr.getline(buffer, 3).clear();
  layer.precision = atoi(buffer);

  /* Reading title */
  getline(istr, layer.title);

  return istr;
}



/******************************************************************************
 * ostr << layer
 ******************************************************************************
 *
 *****************************************************************************/
ostream & operator<<(ostream & ostr, MTFLayer const & layer)
{
  return ostr << layer.name      << setw(2)
	      << layer.precision << endl
	      << layer.title     << endl;
}
