#ifndef __RECTANGLE_HH_
#define __RECTANGLE_HH_


#include <iostream>


using namespace std;



class Rectangle {

public:

  // Get functions
  virtual double getXMin() const = 0;
  virtual double getXMax() const = 0;
  virtual double getYMin() const = 0;
  virtual double getYMax() const = 0;


  // Friend write function
  friend ostream & operator<<(ostream & ostr, Rectangle const & rectangle);
};



#endif // __RECTANGLE_HH_
