#include <cstdlib>
#include <iostream>

#include "map.hh"




int main(int argc, char * argv[])
{
  // Testing inline arguments
  if (argc < 2)
    {
      cerr << "Usage: " << argv[0] << " <tolerance>" << endl;
      exit(1);
    }


  // Reading tolerance
  double tolerance;
  tolerance = atof(argv[1]);


  // Reading map
  Map map;
  cin >> map;


  // Applying RDP simplication
  map.simplifyRDP(tolerance);


  // Writing simplified map
  cout << map;


  return 0;
}
