#ifndef __POLYGON_HH_
#define __POLYGON_HH_


#include <iostream>
#include <vector>


using namespace std;



struct polylineIdx_t
{
  int  polylineIdx;
  bool reversed;
};


/******************************************************************************
 *
 *****************************************************************************/
class Polygon
  : public vector<polylineIdx_t> {

public:

  /* Get and set functions */
  int  getType() const;
  void setType(int type);

  /* Redifinion of insertion and extraction operators */
  friend istream & operator>>(istream & istr, Polygon       & polygon);
  friend ostream & operator<<(ostream & ostr, Polygon const & polygon);


private:

  int type;
};


inline int  Polygon::getType() const { return type; }
inline void Polygon::setType(int type) { this->type = type; }



#endif // __POLYGON_HH_
