#ifndef __POLYLINE_HH_
#define __POLYLINE_HH_


#include <base/point.hh>

#include <iostream>
#include <vector>


using namespace std;



/******************************************************************************
 *
 *****************************************************************************/
class Polyline
  : public vector<Point> {

public:

  /* Constructor */
  Polyline(unsigned nVertices = 0);

  /* Write function with linux endline */
  void read (istream & istr);
  void write(ostream & ostr) const;

  /* Redifinion of insertion and extraction operators */
  friend istream & operator>>(istream & istr, Polyline       & polyline);
  friend ostream & operator<<(ostream & ostr, Polyline const & polyline);
};


inline Polyline::Polyline(unsigned nVertices) : vector<Point>(nVertices) {}



#endif // __POLYLINE_HH_
