#ifndef __SECTION_HH_
#define __SECTION_HH_


#include <string>


using namespace std;



/******************************************************************************
 *
 *****************************************************************************/
class Section {

public:

  /* Get functions */
  string const & getName() const;
  int            getPrecision() const;

  /* Set functions */
  void setName(string const & name);
  void setPrecision(int precision);


protected:

  string name;
  int precision;
};


inline string const & Section::getName() const      { return name; }
inline int            Section::getPrecision() const { return precision; }

inline void Section::setName(string const & name) { this->name = name; }
inline void Section::setPrecision(int precision)
{
  this->precision = precision;
}



#endif // __SECTION_HH_
