#include <e00/e00polyline.hh>

#include <iomanip>





/******************************************************************************
 * istr >> polyline
 ******************************************************************************
 *
 *****************************************************************************/
istream & operator>>(istream & istr, E00Polyline & polyline)
{
  for (unsigned vertexIdx = 0; vertexIdx < polyline.size(); ++vertexIdx)
    istr >> polyline[vertexIdx];

  return istr;
}



/******************************************************************************
 * ostr << polyline
 ******************************************************************************
 *
 *****************************************************************************/
ostream & operator<<(ostream & ostr, E00Polyline const & polyline)
{
  for (unsigned vertexIdx = 0; vertexIdx < polyline.size(); ++vertexIdx)
    {
      if (ostr.precision() == 14 || vertexIdx%2 == 0)
	ostr.put(ostr.widen('\r')).put(ostr.widen('\n')).flush();

      ostr << polyline[vertexIdx];
    }

  return ostr.put(ostr.widen('\r')).put(ostr.widen('\n')).flush();
}
