#ifndef __E00POLYLINE_HH_
#define __E00POLYLINE_HH_


#include <e00/e00point.hh>

#include <iostream>
#include <vector>


using namespace std;



/******************************************************************************
 *
 *****************************************************************************/
class E00Polyline
  : public vector<E00Point> {

public:

  /* Constructor */
  E00Polyline(unsigned nVertices = 0);

  /* Get number of vertices function */
  unsigned numberOfVertices() const;

  /* Redifinion of insertion and extraction operators */
  friend istream & operator>>(istream & istr, E00Polyline       & polyline);
  friend ostream & operator<<(ostream & ostr, E00Polyline const & polyline);
};


inline E00Polyline::E00Polyline(unsigned nVertices)
  : vector<E00Point>(nVertices) {}

inline unsigned E00Polyline::numberOfVertices() const { return size(); }



#endif // __E00POLYLINE_HH_
