#include <mmf/mmflabel.hh>




/******************************************************************************
 * istr >> label
 ******************************************************************************
 *
 * ***************************************************************************/
istream & operator>>(istream & istr, MMFLabel & label)
{
  /* Reading position and ignoring trailing endline */
  istr >> label.position;
  istr.ignore(80, '\n');

  /* Reading name */
  getline(istr, label.name);

  return istr;
}



/******************************************************************************
 * ostr << label
 ******************************************************************************
 *
 * ***************************************************************************/
ostream & operator<<(ostream & ostr, MMFLabel const & label)
{
  return ostr << label.position << endl
	      << label.name << endl;
}

