#include <mmf/mmflink.hh>

#include <iomanip>



/******************************************************************************
 * istr >> link
 ******************************************************************************
 * Reads the cartesian coordinates of 'link' from 'istr'.
 *****************************************************************************/
istream & operator>>(istream & istr, MMFLink & link)
{
  return istr >> link.vertexIdx
	      >> link.resolutionIdx;
}



/******************************************************************************
 * ostr << link
 ******************************************************************************
 * Writes the cartesian coordinates of 'link' in 'ostr'.
 *****************************************************************************/
ostream & operator<<(ostream & ostr, MMFLink const & link)
{
  return ostr << setw(4) << link.vertexIdx
	      << setw(4) << link.resolutionIdx;
}
