#include <mtf/mtflabel.hh>




/******************************************************************************
 * istr >> label
 ******************************************************************************
 *
 * ***************************************************************************/
istream & operator>>(istream & istr, MTFLabel & label)
{
  /* Reading position and ignoring trailing endline */
  label.position.readXY(istr);
  istr.ignore(80, '\n');

  /* Reading name */
  getline(istr, label.name);

  return istr;
}



/******************************************************************************
 * ostr << label
 ******************************************************************************
 *
 * ***************************************************************************/
ostream & operator<<(ostream & ostr, MTFLabel const & label)
{
  label.position.writeXY(ostr); ostr << endl;
  ostr << label.name << endl;

  return ostr;
}

