#include <mvf/mvfpolyline.hh>

#include <iomanip>





/******************************************************************************
 * istr >> polyline
 ******************************************************************************
 *
 *****************************************************************************/
istream & operator>>(istream & istr, MVFPolyline & polyline)
{
  unsigned nPoints;
  istr >> nPoints;

  polyline.resize(nPoints);
  for (unsigned vertexIdx = 0; vertexIdx < polyline.size(); ++vertexIdx)
    istr >> polyline[vertexIdx];

  return istr;
}



/******************************************************************************
 * ostr << polyline
 ******************************************************************************
 *
 *****************************************************************************/
ostream & operator<<(ostream & ostr, MVFPolyline const & polyline)
{
  ostr << polyline.size();

  for (unsigned vertexIdx = 0; vertexIdx < polyline.size(); ++vertexIdx)
    {
      ostr.put(ostr.widen('\n')).flush();
      ostr << polyline[vertexIdx];
    }

  return ostr.put(ostr.widen('\n')).flush();
}
